%define base_name	net
%define short_name	commons-%{base_name}
%define name		jakarta-%{short_name}
%define version		1.0.0
%define release		2jpp
%define javadir		%{_datadir}/java
%define javadocdir	%{_datadir}/javadoc
%define	section		free

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Jakarta Commons Net Package
License:	Apache Software License
Group:		Development/Libraries/Java
Vendor:         JPackage Project
Distribution:   JPackage
Source0:	%{short_name}-%{version}-src.tar.gz
Url:		http://jakarta.apache.org/commons/%{base_name}
BuildRequires:	ant
BuildRequires:	junit >= 3.8.1
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
Provides:	%{short_name}
Obsoletes:	%{short_name}

%description
This is an Internet protocol suite Java library originally developed by ORO, Inc. 
This version supports Finger, Whois, TFTP, Telnet, POP3, FTP, NNTP, SMTP, and 
some miscellaneous protocols like Time and Echo as well as BSD R command support. 
The purpose of the library is to provide fundamental protocol access, 
not higher-level abstractions. 

%package javadoc
Summary:	Javadoc for %{name}
Group:		Development/Documentation

%description javadoc
Javadoc for %{name}.

%prep
rm -rf $RPM_BUILD_ROOT
%setup -n %{short_name}-%{version}
#cp LICENSE.txt LICENSE
# remove all binary libs
find . -name "*.jar" -exec rm -f {} \;

%build
ant -Dnoget=true -Dfinal.name=commons-net-1.0.0 dist

%install
# jars
install -d -m 755 $RPM_BUILD_ROOT%{javadir}
install -m 644 dist/%{short_name}-%{version}.jar $RPM_BUILD_ROOT%{javadir}/%{name}-%{version}.jar
(cd $RPM_BUILD_ROOT%{javadir} && for jar in *-%{version}*; do ln -sf ${jar} `echo $jar| sed  "s|jakarta-||g"`; done)
(cd $RPM_BUILD_ROOT%{javadir} && for jar in *-%{version}*; do ln -sf ${jar} `echo $jar| sed  "s|-%{version}||g"`; done)
# javadoc
install -d -m 755 $RPM_BUILD_ROOT%{javadocdir}/%{name}-%{version}
cp -pr dist/docs/* $RPM_BUILD_ROOT%{javadocdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc LICENSE.txt
%{javadir}/*

%files javadoc
%defattr(-,root,root)
%{javadocdir}/%{name}-%{version}

%changelog
* Thu Feb 27 2003 Henri Gomez <hgomez@users.sourceforge.net> 1.0.0-2jpp
- fix ASF license and add packager tag

* Mon Feb 24 2003 Henri Gomez <hgomez@users.sourceforge.net> 1.0.0-1jpp
- 1.0.0
- initial release
